### Method

# Gtk CellRenderersnapshot

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_renderer_snapshot (
      GtkCellRenderer* cell,
      GtkSnapshot* snapshot,
      GtkWidget* widget,
      const GdkRectangle* background_area,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

Invokes the virtual render function of the `GtkCellRenderer`. The three passed-in rectangles are areas in `cr`. Most renderers will draw within `cell_area`; the xalign, yalign, xpad, and ypad fields of the `GtkCellRenderer` should be honored with respect to `cell_area`. `background_area` includes the blank space around the cell, and also the area containing the tree expander; so the `background_area` rectangles for all cells tile to cover the entire `window`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`snapshot`

  Type: `GtkSnapshot`

  A `GtkSnapshot` to draw to.

  The data is owned by the caller of the method.

`widget`

  Type: `GtkWidget`

  The widget owning `window`.

  The data is owned by the caller of the method.

`background_area`

  Type: `GdkRectangle`

  Entire cell area (including tree expanders and maybe padding on the sides)

  The data is owned by the caller of the method.

`cell_area`

  Type: `GdkRectangle`

  Area normally rendered by a cell renderer.

  The data is owned by the caller of the method.

`flags`

  Type: `GtkCellRendererState`

  Flags that affect rendering.